/*
 *      logview.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef LOGVIEW_H
#define LOGVIEW_H

#include <QTreeView>
#include "logitem.h"

class LogView : public QTreeView
{
    Q_OBJECT
public:
    explicit LogView(QWidget *parent = 0);

    LogItem *getConversationItem();
    LogItem *getNetworkItem();
    LogItem *getCurrentItem();
private slots:
    void slotLogPopup(const QPoint &pos);
    void slotDelete();
signals:
    void deleteItem(LogItem*);
};

#endif // LOGVIEW_H
