/*
 *      ircitemmodel.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef IRCITEMMODEL_H
#define IRCITEMMODEL_H

#include <QStandardItemModel>
#include "ircitem.h"

class IrcItemModel : public QStandardItemModel
{
public:
    IrcItemModel(QObject* parent);

    IrcItem* getItem(const QString &nick);
    QString getItemNick(int row) const;
    bool hasItem(const QString &nick);
    void addItem(const QString &nick, UserMode mode);
    void removeItem(const QString &nick);
    void updateItem(const QString &nick, UserMode mode);
    void updateItem(const QString &nick, NickInfo info);
    void updateItem(const QString &nick, const QString &newnick, NickInfo info);
    void updateAway(const QString &nick, bool away);
    void clear();
    void updateIconTheme();
};

#endif // IRCITEMMODEL_H
